OpenVDB 11.0.0

Loading...
Searching...
No Matches
Gradient< ScaleTranslateMap, CD_2ND > Struct Reference

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename Accessor>
static internal::ReturnValue< Accessor >::Vec3Type | result (const ScaleTranslateMap &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT>
static internal::ReturnValue< StencilT >::Vec3Type | result (const ScaleTranslateMap &map, const StencilT &stencil)

## Detailed Description

Full template specialization of Gradient scale translate, 2nd order

## Member Function Documentation

## ◆ result() [1/2]

template<typename Accessor>

internal::ReturnValue< Accessor >::Vec3Type result | ( | const ScaleTranslateMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk )
| inline static

## ◆ result() [2/2]

template<typename StencilT>

internal::ReturnValue< StencilT >::Vec3Type result | ( | const ScaleTranslateMap & | map,
|  | const StencilT & | stencil )
| inline static